local assets=
{
    Asset("ANIM", "anim/gorehowl.zip"),
    Asset("ANIM", "anim/swap_gorehowl.zip"),
 
    Asset("ATLAS", "images/inventoryimages/gorehowl.xml"),
    Asset("IMAGE", "images/inventoryimages/gorehowl.tex"),
}
prefabs = {
}
local function fn()
 
    local function OnEquip(inst, owner)
        owner.AnimState:OverrideSymbol("swap_object", "swap_gorehowl", "swap_gorehowl")
        owner.AnimState:Show("ARM_carry")
        owner.AnimState:Hide("ARM_normal")
    end
 
    local function OnUnequip(inst, owner)
        owner.AnimState:Hide("ARM_carry")
        owner.AnimState:Show("ARM_normal")
    end
 
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    local sound = inst.entity:AddSoundEmitter()
    MakeInventoryPhysics(inst)
     
    anim:SetBank("gorehowl")
    anim:SetBuild("gorehowl")
    anim:PlayAnimation("idle")

    inst:AddTag("sharp")
    
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(TUNING.NIGHTSWORD_DAMAGE)

    inst:AddComponent("tool")
    inst.components.tool:SetAction(ACTIONS.CHOP, 3)

    inst:AddComponent("inspectable")
     
	inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(TUNING.BATBAT_USES)
    inst.components.finiteuses:SetUses(TUNING.BATBAT_USES)
    inst.components.finiteuses:SetOnFinished( onfinished)
    inst.components.finiteuses:SetConsumption(ACTIONS.CHOP, 1)
	 
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "gorehowl"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/gorehowl.xml"

    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( OnEquip )
    inst.components.equippable:SetOnUnequip( OnUnequip )
 
    return inst
end

return  Prefab("common/inventory/gorehowl", fn, assets, prefabs)